<template>
  <div id="header">
    <div id="logo" :class="logoSizeClass">{{ logoText }}</div>
    <span class="light-text" :hidden="!showPoweredBy">powered by </span>
    <a href="#a">zeus.app</a>
  </div>
</template>

<script>
  export default {
    name: "TheHeader",
    props: {
      text: { type: String, default: "zeus" }
    },
    computed: {
      logoText() { return this.text.trim() },
      logoSizeClass() {
        if (this.logoText.length < 15) return "logo-large"
        if (this.logoText.length < 26) return "logo-medium"
        return "logo-small"
      },
      showPoweredBy() { return this.logoText !== "zeus" }
    }
  }
</script>

<style scoped lang="scss">
  #header {
    margin-bottom: 2.1em;

    #logo {
      color: black;
      font-weight: 500;
      margin-bottom: 0.16em;
      user-select: none;
    }

    .logo-large {
      font-size: 52pt;
      padding: 0em 0.1em 0em;
    }
    .logo-medium {
      padding: 0.5em 0.5em 0.22em;
      font-size: 32pt;
    }
    .logo-small {
      padding: 1em 0.5em 0.5em;
      font-size: 21pt;
    }
  }

  .dark-theme {
    #header {
      #logo {
        color: white;
      }
    }
  }
</style>